Skip to content
Developer

StudioTraining / StudioTrainingSessionEntry

Studio training6 EndpointsCRM / StudioTraining / StudioTrainingSessionEntry

Returns a list of StudioTrainingSessionEntry objects

GET/api/crm/studio_training/session_entry

Query parameters

idstring
deletedbooleanThis property is used to mark an entity as deleted / archived | Default value: false
sessionstring
planExercisestringPrescription this entry was performed against, if the unit followed a plan
presetstring
devicestring
setNumberstringNumber of the set within the exercise, starting at 1
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of StudioTrainingSessionEntry objectsarray<StudioTrainingSessionEntry>

Show fields (19)
  • idinteger

    Primary key of the session entry. Internal ID.

  • sessionStudioTrainingSession2

    Training session the entry belongs to.

    Show fields (16)
    • idinteger

      Primary key of the training session. Internal ID.

    • training_person_dataStudioTrainingPersonData2

      Training data of the person who trained.

    • planStudioTrainingPlan

      Training plan the session belongs to.

    • plan_dayStudioTrainingPlanDay

      Plan day the session belongs to.

    • trainerCRMPerson10

      Trainer who supervised the unit, if any

    • performed_atstring (date-time)

      Time the training was performed.

    • duration_secondsinteger

      Duration of the session in seconds.

    • statusstring

      Status of the session, for example planned or done.

    • sourcestring

      Source of the session, for example app or device.

    • rpenumber (float)

      Overall rate of perceived exertion of the unit

    • average_heart_rateinteger

      Average heart rate in beats per minute.

    • caloriesinteger

      Calories burned.

    • notesstring

      Notes of the person.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • plan_exerciseStudioTrainingPlanExercise

    Prescription this entry was performed against, if the unit followed a plan

    Show fields (21)
    • idinteger

      Primary key of the plan exercise. Internal ID.

    • plan_dayStudioTrainingPlanDay

      Plan day the exercise belongs to.

    • presetStudioTrainingPreset

      Training preset of the exercise.

    • deviceStudioDevice

      Optional concrete machine for this exercise

    • namestring

      Overrides the preset name when the trainer renamed the exercise for this plan

    • setsinteger

      Number of sets.

    • repetitionsinteger

      Number of repetitions per set.

    • repetitions_tointeger

      Upper bound if the prescription is a repetition range (e.g. 8 - 12)

    • weightnumber (float)

      Weight per repetition.

    • weight_unitstring

      Unit of the weight, for example kg.

    • duration_secondsinteger

      Duration of one set in seconds for time based exercises

    • rest_secondsinteger

      Pause between sets in seconds

    • tempostring

      Movement tempo notation, e.g. "2-0-2-0"

    • intensity_percentnumber (float)

      Target intensity in percent of the one repetition maximum

    • rpenumber (float)

      Rate of perceived exertion / reps in reserve target

    • circuit_groupstring

      Exercises of the same day sharing this key form a superset / circuit block

    • notesstring

      Notes on the exercise.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • orderinteger

      Position of the entity in the order.

  • presetStudioTrainingPreset

    Training preset performed.

    Show fields (25)
    • idinteger

      Primary key of the training preset. Internal ID.

    • namestring

      Name of the exercise.

    • descriptionstring

      Description of the exercise.

    • imageAttachment10

      Image of the exercise.

    • videoAttachment10

      Video of the exercise.

    • durationinteger

      Typical duration of the exercise in seconds.

    • muscle_groupsarray<StudioTrainingMuscleGroup>

      Primarily trained muscle groups

    • secondary_muscle_groupsarray<StudioTrainingMuscleGroup>

      Secondarily trained muscle groups

    • exercise_typestring

      Category of the exercise, e.g. strength, cardio, mobility, rehab

    • equipmentstring

      Required equipment as free text, e.g. barbell, cable machine, bodyweight

    • execution_notesstring

      Execution cues and safety notes for the member

    • default_setsinteger

      Default prescription proposed when the preset is added to a plan

    • default_repetitionsinteger

      Default number of repetitions.

    • default_rest_secondsinteger

      Default rest time in seconds.

    • content_sourcestring

      One of the CONTENT_SOURCE_* constants

    • content_source_namestring

      Name of the catalogue the entry was seeded from, e.g. wger

    • licensestring

      Licence of the imported content, e.g. CC-BY-SA 4.0

    • license_authorstring

      Author that has to be named to fulfil the licence attribution

    • license_author_urlstring

      Link to the author of the image or video license.

    • review_statusstring

      One of the REVIEW_STATUS_* constants, used to keep generated or imported exercise instructions under human control before they are published

    • reviewed_atstring (date-time)

      Time the exercise was reviewed.

    • reviewed_bystring

      Name of the reviewer.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • deviceStudioDevice

    Device used for the exercise.

    Show fields (10)
    • idinteger

      Primary key of the studio device. Internal ID.

    • namestring

      Name of the device.

    • descriptionstring

      Description of the device.

    • manufacturerstring

      Manufacturer of the device.

    • modelstring

      Model of the device.

    • device_typestring

      Type of the device, for example treadmill or bike.

    • identifierstring

      Identifier of the device at the manufacturer.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • set_numberinteger

    Number of the set within the exercise, starting at 1

  • repetitionsinteger

    Number of repetitions performed.

  • weightnumber (float)

    Weight used.

  • weight_unitstring

    Unit of the weight, for example kg.

  • duration_secondsinteger

    Duration of the exercise in seconds.

  • rest_secondsinteger

    Rest time after the exercise in seconds.

  • distancenumber (float)

    Distance covered.

  • rpenumber (float)

    Rate of perceived exertion, from 1 to 10.

  • completedboolean

    The exercise was completed.

  • notesstring

    Notes on the exercise.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • orderinteger

    Position of the entity in the order.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/session_entry \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "session": {
      "id": 42,
      "performed_at": "2026-10-15T09:30:00+02:00",
      "duration_seconds": 1,
      "status": "string",
      "source": "string",
      "rpe": 1.5,
      "average_heart_rate": 1,
      "calories": 1,
      "notes": "string",
      "created": "2026-10-15T09:30:00+02:00"
    },
    "plan_exercise": {
      "id": 42,
      "name": "Beispiel",
      "sets": 1,
      "repetitions": 1,
      "repetitions_to": 1,
      "weight": 1.5,
      "weight_unit": "string",
      "duration_seconds": 1,
      "rest_seconds": 1,
      "tempo": "string"
    },
    "preset": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "content_source_name": "Beispiel",
      "license_author_url": "https://vynst.de",
      "duration": 1,
      "exercise_type": "string",
      "equipment": "string",
      "execution_notes": "string",
      "default_sets": 1
    },
    "device": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "manufacturer": "string",
      "model": "string",
      "device_type": "string",
      "identifier": "42",
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "set_number": 1,
    "repetitions": 1,
    "weight": 1.5,
    "weight_unit": "string",
    "duration_seconds": 1
  }
]

Create a single StudioTrainingSessionEntry

POST/api/crm/studio_training/session_entry

Request body application/json

  • dataStudioTrainingSessionEntry
    Show fields (19)
    • idinteger

      Primary key of the session entry. Internal ID.

    • sessionStudioTrainingSession2

      Training session the entry belongs to.

    • plan_exerciseStudioTrainingPlanExercise

      Prescription this entry was performed against, if the unit followed a plan

    • presetStudioTrainingPreset

      Training preset performed.

    • deviceStudioDevice

      Device used for the exercise.

    • set_numberinteger

      Number of the set within the exercise, starting at 1

    • repetitionsinteger

      Number of repetitions performed.

    • weightnumber (float)

      Weight used.

    • weight_unitstring

      Unit of the weight, for example kg.

    • duration_secondsinteger

      Duration of the exercise in seconds.

    • rest_secondsinteger

      Rest time after the exercise in seconds.

    • distancenumber (float)

      Distance covered.

    • rpenumber (float)

      Rate of perceived exertion, from 1 to 10.

    • completedboolean

      The exercise was completed.

    • notesstring

      Notes on the exercise.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • orderinteger

      Position of the entity in the order.

Responses

200Create a single StudioTrainingSessionEntryStudioTrainingSessionEntry

Show fields (19)
  • idinteger

    Primary key of the session entry. Internal ID.

  • sessionStudioTrainingSession2

    Training session the entry belongs to.

    Show fields (16)
    • idinteger

      Primary key of the training session. Internal ID.

    • training_person_dataStudioTrainingPersonData2

      Training data of the person who trained.

    • planStudioTrainingPlan

      Training plan the session belongs to.

    • plan_dayStudioTrainingPlanDay

      Plan day the session belongs to.

    • trainerCRMPerson10

      Trainer who supervised the unit, if any

    • performed_atstring (date-time)

      Time the training was performed.

    • duration_secondsinteger

      Duration of the session in seconds.

    • statusstring

      Status of the session, for example planned or done.

    • sourcestring

      Source of the session, for example app or device.

    • rpenumber (float)

      Overall rate of perceived exertion of the unit

    • average_heart_rateinteger

      Average heart rate in beats per minute.

    • caloriesinteger

      Calories burned.

    • notesstring

      Notes of the person.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • plan_exerciseStudioTrainingPlanExercise

    Prescription this entry was performed against, if the unit followed a plan

    Show fields (21)
    • idinteger

      Primary key of the plan exercise. Internal ID.

    • plan_dayStudioTrainingPlanDay

      Plan day the exercise belongs to.

    • presetStudioTrainingPreset

      Training preset of the exercise.

    • deviceStudioDevice

      Optional concrete machine for this exercise

    • namestring

      Overrides the preset name when the trainer renamed the exercise for this plan

    • setsinteger

      Number of sets.

    • repetitionsinteger

      Number of repetitions per set.

    • repetitions_tointeger

      Upper bound if the prescription is a repetition range (e.g. 8 - 12)

    • weightnumber (float)

      Weight per repetition.

    • weight_unitstring

      Unit of the weight, for example kg.

    • duration_secondsinteger

      Duration of one set in seconds for time based exercises

    • rest_secondsinteger

      Pause between sets in seconds

    • tempostring

      Movement tempo notation, e.g. "2-0-2-0"

    • intensity_percentnumber (float)

      Target intensity in percent of the one repetition maximum

    • rpenumber (float)

      Rate of perceived exertion / reps in reserve target

    • circuit_groupstring

      Exercises of the same day sharing this key form a superset / circuit block

    • notesstring

      Notes on the exercise.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • orderinteger

      Position of the entity in the order.

  • presetStudioTrainingPreset

    Training preset performed.

    Show fields (25)
    • idinteger

      Primary key of the training preset. Internal ID.

    • namestring

      Name of the exercise.

    • descriptionstring

      Description of the exercise.

    • imageAttachment10

      Image of the exercise.

    • videoAttachment10

      Video of the exercise.

    • durationinteger

      Typical duration of the exercise in seconds.

    • muscle_groupsarray<StudioTrainingMuscleGroup>

      Primarily trained muscle groups

    • secondary_muscle_groupsarray<StudioTrainingMuscleGroup>

      Secondarily trained muscle groups

    • exercise_typestring

      Category of the exercise, e.g. strength, cardio, mobility, rehab

    • equipmentstring

      Required equipment as free text, e.g. barbell, cable machine, bodyweight

    • execution_notesstring

      Execution cues and safety notes for the member

    • default_setsinteger

      Default prescription proposed when the preset is added to a plan

    • default_repetitionsinteger

      Default number of repetitions.

    • default_rest_secondsinteger

      Default rest time in seconds.

    • content_sourcestring

      One of the CONTENT_SOURCE_* constants

    • content_source_namestring

      Name of the catalogue the entry was seeded from, e.g. wger

    • licensestring

      Licence of the imported content, e.g. CC-BY-SA 4.0

    • license_authorstring

      Author that has to be named to fulfil the licence attribution

    • license_author_urlstring

      Link to the author of the image or video license.

    • review_statusstring

      One of the REVIEW_STATUS_* constants, used to keep generated or imported exercise instructions under human control before they are published

    • reviewed_atstring (date-time)

      Time the exercise was reviewed.

    • reviewed_bystring

      Name of the reviewer.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • deviceStudioDevice

    Device used for the exercise.

    Show fields (10)
    • idinteger

      Primary key of the studio device. Internal ID.

    • namestring

      Name of the device.

    • descriptionstring

      Description of the device.

    • manufacturerstring

      Manufacturer of the device.

    • modelstring

      Model of the device.

    • device_typestring

      Type of the device, for example treadmill or bike.

    • identifierstring

      Identifier of the device at the manufacturer.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • set_numberinteger

    Number of the set within the exercise, starting at 1

  • repetitionsinteger

    Number of repetitions performed.

  • weightnumber (float)

    Weight used.

  • weight_unitstring

    Unit of the weight, for example kg.

  • duration_secondsinteger

    Duration of the exercise in seconds.

  • rest_secondsinteger

    Rest time after the exercise in seconds.

  • distancenumber (float)

    Distance covered.

  • rpenumber (float)

    Rate of perceived exertion, from 1 to 10.

  • completedboolean

    The exercise was completed.

  • notesstring

    Notes on the exercise.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • orderinteger

    Position of the entity in the order.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/session_entry \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "session": {
      "id": 42,
      "performed_at": "2026-10-15T09:30:00+02:00",
      "duration_seconds": 1,
      "status": "string",
      "source": "string",
      "rpe": 1.5
    },
    "plan_exercise": {
      "id": 42,
      "name": "Beispiel",
      "sets": 1,
      "repetitions": 1,
      "repetitions_to": 1,
      "weight": 1.5
    },
    "preset": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "content_source_name": "Beispiel",
      "license_author_url": "https://vynst.de",
      "duration": 1
    },
    "device": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "manufacturer": "string",
      "model": "string",
      "device_type": "string"
    },
    "set_number": 1
  }
}
'
Response 200 application/json
{
  "id": 42,
  "session": {
    "id": 42,
    "training_person_data": {
      "id": 42,
      "weight": 1.5,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "plan": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "times_per_week": 1,
      "status": "string",
      "is_template": true,
      "valid_from": "2026-10-15T09:30:00+02:00",
      "valid_until": "2026-10-15T09:30:00+02:00",
      "review_date": "2026-10-15T09:30:00+02:00",
      "training_goal": "string"
    },
    "plan_day": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "day_of_week": 1,
      "rounds": 1,
      "round_rest_seconds": 1,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true,
      "order": 1
    },
    "trainer": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "performed_at": "2026-10-15T09:30:00+02:00",
    "duration_seconds": 1,
    "status": "string",
    "source": "string",
    "rpe": 1.5
  },
  "plan_exercise": {
    "id": 42,
    "name": "Beispiel",
    "plan_day": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "day_of_week": 1,
      "rounds": 1,
      "round_rest_seconds": 1,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true,
      "order": 1
    },
    "preset": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "content_source_name": "Beispiel",
      "license_author_url": "https://vynst.de",
      "duration": 1,
      "exercise_type": "string",
      "equipment": "string",
      "execution_notes": "string",
      "default_sets": 1
    },
    "device": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "manufacturer": "string",
      "model": "string",
      "device_type": "string",
      "identifier": "42",
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "sets": 1,
    "repetitions": 1,
    "repetitions_to": 1,
    "weight": 1.5,
    "weight_unit": "string"
  },
  "preset": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "content_source_name": "Beispiel",
    "license_author_url": "https://vynst.de",
    "image": {
      "id": 42,
      "ocr_from_name": "Beispiel",
      "ocr_from_email": "lena.hartmann@example.org",
      "ocr_from_phone": "+49 511 123456",
      "ocr_to_name": "Beispiel",
      "ocr_to_email": "lena.hartmann@example.org",
      "ocr_to_phone": "+49 511 123456",
      "filename": "string",
      "filesize": "string",
      "mimetype": "string"
    },
    "video": {
      "id": 42,
      "ocr_from_name": "Beispiel",
      "ocr_from_email": "lena.hartmann@example.org",
      "ocr_from_phone": "+49 511 123456",
      "ocr_to_name": "Beispiel",
      "ocr_to_email": "lena.hartmann@example.org",
      "ocr_to_phone": "+49 511 123456",
      "filename": "string",
      "filesize": "string",
      "mimetype": "string"
    },
    "duration": 1,
    "exercise_type": "string",
    "equipment": "string"
  },
  "device": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "manufacturer": "string",
    "model": "string",
    "device_type": "string",
    "identifier": "42",
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "set_number": 1,
  "repetitions": 1,
  "weight": 1.5,
  "weight_unit": "string",
  "duration_seconds": 1
}

Returns a single StudioTrainingSessionEntry

GET/api/crm/studio_training/session_entry/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single StudioTrainingSessionEntryStudioTrainingSessionEntry

Show fields (19)
  • idinteger

    Primary key of the session entry. Internal ID.

  • sessionStudioTrainingSession2

    Training session the entry belongs to.

    Show fields (16)
    • idinteger

      Primary key of the training session. Internal ID.

    • training_person_dataStudioTrainingPersonData2

      Training data of the person who trained.

    • planStudioTrainingPlan

      Training plan the session belongs to.

    • plan_dayStudioTrainingPlanDay

      Plan day the session belongs to.

    • trainerCRMPerson10

      Trainer who supervised the unit, if any

    • performed_atstring (date-time)

      Time the training was performed.

    • duration_secondsinteger

      Duration of the session in seconds.

    • statusstring

      Status of the session, for example planned or done.

    • sourcestring

      Source of the session, for example app or device.

    • rpenumber (float)

      Overall rate of perceived exertion of the unit

    • average_heart_rateinteger

      Average heart rate in beats per minute.

    • caloriesinteger

      Calories burned.

    • notesstring

      Notes of the person.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • plan_exerciseStudioTrainingPlanExercise

    Prescription this entry was performed against, if the unit followed a plan

    Show fields (21)
    • idinteger

      Primary key of the plan exercise. Internal ID.

    • plan_dayStudioTrainingPlanDay

      Plan day the exercise belongs to.

    • presetStudioTrainingPreset

      Training preset of the exercise.

    • deviceStudioDevice

      Optional concrete machine for this exercise

    • namestring

      Overrides the preset name when the trainer renamed the exercise for this plan

    • setsinteger

      Number of sets.

    • repetitionsinteger

      Number of repetitions per set.

    • repetitions_tointeger

      Upper bound if the prescription is a repetition range (e.g. 8 - 12)

    • weightnumber (float)

      Weight per repetition.

    • weight_unitstring

      Unit of the weight, for example kg.

    • duration_secondsinteger

      Duration of one set in seconds for time based exercises

    • rest_secondsinteger

      Pause between sets in seconds

    • tempostring

      Movement tempo notation, e.g. "2-0-2-0"

    • intensity_percentnumber (float)

      Target intensity in percent of the one repetition maximum

    • rpenumber (float)

      Rate of perceived exertion / reps in reserve target

    • circuit_groupstring

      Exercises of the same day sharing this key form a superset / circuit block

    • notesstring

      Notes on the exercise.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • orderinteger

      Position of the entity in the order.

  • presetStudioTrainingPreset

    Training preset performed.

    Show fields (25)
    • idinteger

      Primary key of the training preset. Internal ID.

    • namestring

      Name of the exercise.

    • descriptionstring

      Description of the exercise.

    • imageAttachment10

      Image of the exercise.

    • videoAttachment10

      Video of the exercise.

    • durationinteger

      Typical duration of the exercise in seconds.

    • muscle_groupsarray<StudioTrainingMuscleGroup>

      Primarily trained muscle groups

    • secondary_muscle_groupsarray<StudioTrainingMuscleGroup>

      Secondarily trained muscle groups

    • exercise_typestring

      Category of the exercise, e.g. strength, cardio, mobility, rehab

    • equipmentstring

      Required equipment as free text, e.g. barbell, cable machine, bodyweight

    • execution_notesstring

      Execution cues and safety notes for the member

    • default_setsinteger

      Default prescription proposed when the preset is added to a plan

    • default_repetitionsinteger

      Default number of repetitions.

    • default_rest_secondsinteger

      Default rest time in seconds.

    • content_sourcestring

      One of the CONTENT_SOURCE_* constants

    • content_source_namestring

      Name of the catalogue the entry was seeded from, e.g. wger

    • licensestring

      Licence of the imported content, e.g. CC-BY-SA 4.0

    • license_authorstring

      Author that has to be named to fulfil the licence attribution

    • license_author_urlstring

      Link to the author of the image or video license.

    • review_statusstring

      One of the REVIEW_STATUS_* constants, used to keep generated or imported exercise instructions under human control before they are published

    • reviewed_atstring (date-time)

      Time the exercise was reviewed.

    • reviewed_bystring

      Name of the reviewer.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • deviceStudioDevice

    Device used for the exercise.

    Show fields (10)
    • idinteger

      Primary key of the studio device. Internal ID.

    • namestring

      Name of the device.

    • descriptionstring

      Description of the device.

    • manufacturerstring

      Manufacturer of the device.

    • modelstring

      Model of the device.

    • device_typestring

      Type of the device, for example treadmill or bike.

    • identifierstring

      Identifier of the device at the manufacturer.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • set_numberinteger

    Number of the set within the exercise, starting at 1

  • repetitionsinteger

    Number of repetitions performed.

  • weightnumber (float)

    Weight used.

  • weight_unitstring

    Unit of the weight, for example kg.

  • duration_secondsinteger

    Duration of the exercise in seconds.

  • rest_secondsinteger

    Rest time after the exercise in seconds.

  • distancenumber (float)

    Distance covered.

  • rpenumber (float)

    Rate of perceived exertion, from 1 to 10.

  • completedboolean

    The exercise was completed.

  • notesstring

    Notes on the exercise.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • orderinteger

    Position of the entity in the order.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/session_entry/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "session": {
    "id": 42,
    "training_person_data": {
      "id": 42,
      "weight": 1.5,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "plan": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "times_per_week": 1,
      "status": "string",
      "is_template": true,
      "valid_from": "2026-10-15T09:30:00+02:00",
      "valid_until": "2026-10-15T09:30:00+02:00",
      "review_date": "2026-10-15T09:30:00+02:00",
      "training_goal": "string"
    },
    "plan_day": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "day_of_week": 1,
      "rounds": 1,
      "round_rest_seconds": 1,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true,
      "order": 1
    },
    "trainer": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "performed_at": "2026-10-15T09:30:00+02:00",
    "duration_seconds": 1,
    "status": "string",
    "source": "string",
    "rpe": 1.5
  },
  "plan_exercise": {
    "id": 42,
    "name": "Beispiel",
    "plan_day": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "day_of_week": 1,
      "rounds": 1,
      "round_rest_seconds": 1,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true,
      "order": 1
    },
    "preset": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "content_source_name": "Beispiel",
      "license_author_url": "https://vynst.de",
      "duration": 1,
      "exercise_type": "string",
      "equipment": "string",
      "execution_notes": "string",
      "default_sets": 1
    },
    "device": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "manufacturer": "string",
      "model": "string",
      "device_type": "string",
      "identifier": "42",
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "sets": 1,
    "repetitions": 1,
    "repetitions_to": 1,
    "weight": 1.5,
    "weight_unit": "string"
  },
  "preset": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "content_source_name": "Beispiel",
    "license_author_url": "https://vynst.de",
    "image": {
      "id": 42,
      "ocr_from_name": "Beispiel",
      "ocr_from_email": "lena.hartmann@example.org",
      "ocr_from_phone": "+49 511 123456",
      "ocr_to_name": "Beispiel",
      "ocr_to_email": "lena.hartmann@example.org",
      "ocr_to_phone": "+49 511 123456",
      "filename": "string",
      "filesize": "string",
      "mimetype": "string"
    },
    "video": {
      "id": 42,
      "ocr_from_name": "Beispiel",
      "ocr_from_email": "lena.hartmann@example.org",
      "ocr_from_phone": "+49 511 123456",
      "ocr_to_name": "Beispiel",
      "ocr_to_email": "lena.hartmann@example.org",
      "ocr_to_phone": "+49 511 123456",
      "filename": "string",
      "filesize": "string",
      "mimetype": "string"
    },
    "duration": 1,
    "exercise_type": "string",
    "equipment": "string"
  },
  "device": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "manufacturer": "string",
    "model": "string",
    "device_type": "string",
    "identifier": "42",
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "set_number": 1,
  "repetitions": 1,
  "weight": 1.5,
  "weight_unit": "string",
  "duration_seconds": 1
}

Update a single StudioTrainingSessionEntry

PUT/api/crm/studio_training/session_entry/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataStudioTrainingSessionEntry
    Show fields (19)
    • idinteger

      Primary key of the session entry. Internal ID.

    • sessionStudioTrainingSession2

      Training session the entry belongs to.

    • plan_exerciseStudioTrainingPlanExercise

      Prescription this entry was performed against, if the unit followed a plan

    • presetStudioTrainingPreset

      Training preset performed.

    • deviceStudioDevice

      Device used for the exercise.

    • set_numberinteger

      Number of the set within the exercise, starting at 1

    • repetitionsinteger

      Number of repetitions performed.

    • weightnumber (float)

      Weight used.

    • weight_unitstring

      Unit of the weight, for example kg.

    • duration_secondsinteger

      Duration of the exercise in seconds.

    • rest_secondsinteger

      Rest time after the exercise in seconds.

    • distancenumber (float)

      Distance covered.

    • rpenumber (float)

      Rate of perceived exertion, from 1 to 10.

    • completedboolean

      The exercise was completed.

    • notesstring

      Notes on the exercise.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • orderinteger

      Position of the entity in the order.

Responses

200Update a single StudioTrainingSessionEntryStudioTrainingSessionEntry

Show fields (19)
  • idinteger

    Primary key of the session entry. Internal ID.

  • sessionStudioTrainingSession2

    Training session the entry belongs to.

    Show fields (16)
    • idinteger

      Primary key of the training session. Internal ID.

    • training_person_dataStudioTrainingPersonData2

      Training data of the person who trained.

    • planStudioTrainingPlan

      Training plan the session belongs to.

    • plan_dayStudioTrainingPlanDay

      Plan day the session belongs to.

    • trainerCRMPerson10

      Trainer who supervised the unit, if any

    • performed_atstring (date-time)

      Time the training was performed.

    • duration_secondsinteger

      Duration of the session in seconds.

    • statusstring

      Status of the session, for example planned or done.

    • sourcestring

      Source of the session, for example app or device.

    • rpenumber (float)

      Overall rate of perceived exertion of the unit

    • average_heart_rateinteger

      Average heart rate in beats per minute.

    • caloriesinteger

      Calories burned.

    • notesstring

      Notes of the person.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • plan_exerciseStudioTrainingPlanExercise

    Prescription this entry was performed against, if the unit followed a plan

    Show fields (21)
    • idinteger

      Primary key of the plan exercise. Internal ID.

    • plan_dayStudioTrainingPlanDay

      Plan day the exercise belongs to.

    • presetStudioTrainingPreset

      Training preset of the exercise.

    • deviceStudioDevice

      Optional concrete machine for this exercise

    • namestring

      Overrides the preset name when the trainer renamed the exercise for this plan

    • setsinteger

      Number of sets.

    • repetitionsinteger

      Number of repetitions per set.

    • repetitions_tointeger

      Upper bound if the prescription is a repetition range (e.g. 8 - 12)

    • weightnumber (float)

      Weight per repetition.

    • weight_unitstring

      Unit of the weight, for example kg.

    • duration_secondsinteger

      Duration of one set in seconds for time based exercises

    • rest_secondsinteger

      Pause between sets in seconds

    • tempostring

      Movement tempo notation, e.g. "2-0-2-0"

    • intensity_percentnumber (float)

      Target intensity in percent of the one repetition maximum

    • rpenumber (float)

      Rate of perceived exertion / reps in reserve target

    • circuit_groupstring

      Exercises of the same day sharing this key form a superset / circuit block

    • notesstring

      Notes on the exercise.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • orderinteger

      Position of the entity in the order.

  • presetStudioTrainingPreset

    Training preset performed.

    Show fields (25)
    • idinteger

      Primary key of the training preset. Internal ID.

    • namestring

      Name of the exercise.

    • descriptionstring

      Description of the exercise.

    • imageAttachment10

      Image of the exercise.

    • videoAttachment10

      Video of the exercise.

    • durationinteger

      Typical duration of the exercise in seconds.

    • muscle_groupsarray<StudioTrainingMuscleGroup>

      Primarily trained muscle groups

    • secondary_muscle_groupsarray<StudioTrainingMuscleGroup>

      Secondarily trained muscle groups

    • exercise_typestring

      Category of the exercise, e.g. strength, cardio, mobility, rehab

    • equipmentstring

      Required equipment as free text, e.g. barbell, cable machine, bodyweight

    • execution_notesstring

      Execution cues and safety notes for the member

    • default_setsinteger

      Default prescription proposed when the preset is added to a plan

    • default_repetitionsinteger

      Default number of repetitions.

    • default_rest_secondsinteger

      Default rest time in seconds.

    • content_sourcestring

      One of the CONTENT_SOURCE_* constants

    • content_source_namestring

      Name of the catalogue the entry was seeded from, e.g. wger

    • licensestring

      Licence of the imported content, e.g. CC-BY-SA 4.0

    • license_authorstring

      Author that has to be named to fulfil the licence attribution

    • license_author_urlstring

      Link to the author of the image or video license.

    • review_statusstring

      One of the REVIEW_STATUS_* constants, used to keep generated or imported exercise instructions under human control before they are published

    • reviewed_atstring (date-time)

      Time the exercise was reviewed.

    • reviewed_bystring

      Name of the reviewer.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • deviceStudioDevice

    Device used for the exercise.

    Show fields (10)
    • idinteger

      Primary key of the studio device. Internal ID.

    • namestring

      Name of the device.

    • descriptionstring

      Description of the device.

    • manufacturerstring

      Manufacturer of the device.

    • modelstring

      Model of the device.

    • device_typestring

      Type of the device, for example treadmill or bike.

    • identifierstring

      Identifier of the device at the manufacturer.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • set_numberinteger

    Number of the set within the exercise, starting at 1

  • repetitionsinteger

    Number of repetitions performed.

  • weightnumber (float)

    Weight used.

  • weight_unitstring

    Unit of the weight, for example kg.

  • duration_secondsinteger

    Duration of the exercise in seconds.

  • rest_secondsinteger

    Rest time after the exercise in seconds.

  • distancenumber (float)

    Distance covered.

  • rpenumber (float)

    Rate of perceived exertion, from 1 to 10.

  • completedboolean

    The exercise was completed.

  • notesstring

    Notes on the exercise.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • orderinteger

    Position of the entity in the order.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/session_entry/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "session": {
      "id": 42,
      "performed_at": "2026-10-15T09:30:00+02:00",
      "duration_seconds": 1,
      "status": "string",
      "source": "string",
      "rpe": 1.5
    },
    "plan_exercise": {
      "id": 42,
      "name": "Beispiel",
      "sets": 1,
      "repetitions": 1,
      "repetitions_to": 1,
      "weight": 1.5
    },
    "preset": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "content_source_name": "Beispiel",
      "license_author_url": "https://vynst.de",
      "duration": 1
    },
    "device": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "manufacturer": "string",
      "model": "string",
      "device_type": "string"
    },
    "set_number": 1
  }
}
'
Response 200 application/json
{
  "id": 42,
  "session": {
    "id": 42,
    "training_person_data": {
      "id": 42,
      "weight": 1.5,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "plan": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "times_per_week": 1,
      "status": "string",
      "is_template": true,
      "valid_from": "2026-10-15T09:30:00+02:00",
      "valid_until": "2026-10-15T09:30:00+02:00",
      "review_date": "2026-10-15T09:30:00+02:00",
      "training_goal": "string"
    },
    "plan_day": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "day_of_week": 1,
      "rounds": 1,
      "round_rest_seconds": 1,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true,
      "order": 1
    },
    "trainer": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "performed_at": "2026-10-15T09:30:00+02:00",
    "duration_seconds": 1,
    "status": "string",
    "source": "string",
    "rpe": 1.5
  },
  "plan_exercise": {
    "id": 42,
    "name": "Beispiel",
    "plan_day": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "day_of_week": 1,
      "rounds": 1,
      "round_rest_seconds": 1,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true,
      "order": 1
    },
    "preset": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "content_source_name": "Beispiel",
      "license_author_url": "https://vynst.de",
      "duration": 1,
      "exercise_type": "string",
      "equipment": "string",
      "execution_notes": "string",
      "default_sets": 1
    },
    "device": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "manufacturer": "string",
      "model": "string",
      "device_type": "string",
      "identifier": "42",
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "sets": 1,
    "repetitions": 1,
    "repetitions_to": 1,
    "weight": 1.5,
    "weight_unit": "string"
  },
  "preset": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "content_source_name": "Beispiel",
    "license_author_url": "https://vynst.de",
    "image": {
      "id": 42,
      "ocr_from_name": "Beispiel",
      "ocr_from_email": "lena.hartmann@example.org",
      "ocr_from_phone": "+49 511 123456",
      "ocr_to_name": "Beispiel",
      "ocr_to_email": "lena.hartmann@example.org",
      "ocr_to_phone": "+49 511 123456",
      "filename": "string",
      "filesize": "string",
      "mimetype": "string"
    },
    "video": {
      "id": 42,
      "ocr_from_name": "Beispiel",
      "ocr_from_email": "lena.hartmann@example.org",
      "ocr_from_phone": "+49 511 123456",
      "ocr_to_name": "Beispiel",
      "ocr_to_email": "lena.hartmann@example.org",
      "ocr_to_phone": "+49 511 123456",
      "filename": "string",
      "filesize": "string",
      "mimetype": "string"
    },
    "duration": 1,
    "exercise_type": "string",
    "equipment": "string"
  },
  "device": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "manufacturer": "string",
    "model": "string",
    "device_type": "string",
    "identifier": "42",
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "set_number": 1,
  "repetitions": 1,
  "weight": 1.5,
  "weight_unit": "string",
  "duration_seconds": 1
}

Update a single StudioTrainingSessionEntry

PATCH/api/crm/studio_training/session_entry/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataStudioTrainingSessionEntry
    Show fields (19)
    • idinteger

      Primary key of the session entry. Internal ID.

    • sessionStudioTrainingSession2

      Training session the entry belongs to.

    • plan_exerciseStudioTrainingPlanExercise

      Prescription this entry was performed against, if the unit followed a plan

    • presetStudioTrainingPreset

      Training preset performed.

    • deviceStudioDevice

      Device used for the exercise.

    • set_numberinteger

      Number of the set within the exercise, starting at 1

    • repetitionsinteger

      Number of repetitions performed.

    • weightnumber (float)

      Weight used.

    • weight_unitstring

      Unit of the weight, for example kg.

    • duration_secondsinteger

      Duration of the exercise in seconds.

    • rest_secondsinteger

      Rest time after the exercise in seconds.

    • distancenumber (float)

      Distance covered.

    • rpenumber (float)

      Rate of perceived exertion, from 1 to 10.

    • completedboolean

      The exercise was completed.

    • notesstring

      Notes on the exercise.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • orderinteger

      Position of the entity in the order.

Responses

200Update a single StudioTrainingSessionEntryStudioTrainingSessionEntry

Show fields (19)
  • idinteger

    Primary key of the session entry. Internal ID.

  • sessionStudioTrainingSession2

    Training session the entry belongs to.

    Show fields (16)
    • idinteger

      Primary key of the training session. Internal ID.

    • training_person_dataStudioTrainingPersonData2

      Training data of the person who trained.

    • planStudioTrainingPlan

      Training plan the session belongs to.

    • plan_dayStudioTrainingPlanDay

      Plan day the session belongs to.

    • trainerCRMPerson10

      Trainer who supervised the unit, if any

    • performed_atstring (date-time)

      Time the training was performed.

    • duration_secondsinteger

      Duration of the session in seconds.

    • statusstring

      Status of the session, for example planned or done.

    • sourcestring

      Source of the session, for example app or device.

    • rpenumber (float)

      Overall rate of perceived exertion of the unit

    • average_heart_rateinteger

      Average heart rate in beats per minute.

    • caloriesinteger

      Calories burned.

    • notesstring

      Notes of the person.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • plan_exerciseStudioTrainingPlanExercise

    Prescription this entry was performed against, if the unit followed a plan

    Show fields (21)
    • idinteger

      Primary key of the plan exercise. Internal ID.

    • plan_dayStudioTrainingPlanDay

      Plan day the exercise belongs to.

    • presetStudioTrainingPreset

      Training preset of the exercise.

    • deviceStudioDevice

      Optional concrete machine for this exercise

    • namestring

      Overrides the preset name when the trainer renamed the exercise for this plan

    • setsinteger

      Number of sets.

    • repetitionsinteger

      Number of repetitions per set.

    • repetitions_tointeger

      Upper bound if the prescription is a repetition range (e.g. 8 - 12)

    • weightnumber (float)

      Weight per repetition.

    • weight_unitstring

      Unit of the weight, for example kg.

    • duration_secondsinteger

      Duration of one set in seconds for time based exercises

    • rest_secondsinteger

      Pause between sets in seconds

    • tempostring

      Movement tempo notation, e.g. "2-0-2-0"

    • intensity_percentnumber (float)

      Target intensity in percent of the one repetition maximum

    • rpenumber (float)

      Rate of perceived exertion / reps in reserve target

    • circuit_groupstring

      Exercises of the same day sharing this key form a superset / circuit block

    • notesstring

      Notes on the exercise.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • orderinteger

      Position of the entity in the order.

  • presetStudioTrainingPreset

    Training preset performed.

    Show fields (25)
    • idinteger

      Primary key of the training preset. Internal ID.

    • namestring

      Name of the exercise.

    • descriptionstring

      Description of the exercise.

    • imageAttachment10

      Image of the exercise.

    • videoAttachment10

      Video of the exercise.

    • durationinteger

      Typical duration of the exercise in seconds.

    • muscle_groupsarray<StudioTrainingMuscleGroup>

      Primarily trained muscle groups

    • secondary_muscle_groupsarray<StudioTrainingMuscleGroup>

      Secondarily trained muscle groups

    • exercise_typestring

      Category of the exercise, e.g. strength, cardio, mobility, rehab

    • equipmentstring

      Required equipment as free text, e.g. barbell, cable machine, bodyweight

    • execution_notesstring

      Execution cues and safety notes for the member

    • default_setsinteger

      Default prescription proposed when the preset is added to a plan

    • default_repetitionsinteger

      Default number of repetitions.

    • default_rest_secondsinteger

      Default rest time in seconds.

    • content_sourcestring

      One of the CONTENT_SOURCE_* constants

    • content_source_namestring

      Name of the catalogue the entry was seeded from, e.g. wger

    • licensestring

      Licence of the imported content, e.g. CC-BY-SA 4.0

    • license_authorstring

      Author that has to be named to fulfil the licence attribution

    • license_author_urlstring

      Link to the author of the image or video license.

    • review_statusstring

      One of the REVIEW_STATUS_* constants, used to keep generated or imported exercise instructions under human control before they are published

    • reviewed_atstring (date-time)

      Time the exercise was reviewed.

    • reviewed_bystring

      Name of the reviewer.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • deviceStudioDevice

    Device used for the exercise.

    Show fields (10)
    • idinteger

      Primary key of the studio device. Internal ID.

    • namestring

      Name of the device.

    • descriptionstring

      Description of the device.

    • manufacturerstring

      Manufacturer of the device.

    • modelstring

      Model of the device.

    • device_typestring

      Type of the device, for example treadmill or bike.

    • identifierstring

      Identifier of the device at the manufacturer.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • set_numberinteger

    Number of the set within the exercise, starting at 1

  • repetitionsinteger

    Number of repetitions performed.

  • weightnumber (float)

    Weight used.

  • weight_unitstring

    Unit of the weight, for example kg.

  • duration_secondsinteger

    Duration of the exercise in seconds.

  • rest_secondsinteger

    Rest time after the exercise in seconds.

  • distancenumber (float)

    Distance covered.

  • rpenumber (float)

    Rate of perceived exertion, from 1 to 10.

  • completedboolean

    The exercise was completed.

  • notesstring

    Notes on the exercise.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • orderinteger

    Position of the entity in the order.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/session_entry/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "session": {
      "id": 42,
      "performed_at": "2026-10-15T09:30:00+02:00",
      "duration_seconds": 1,
      "status": "string",
      "source": "string",
      "rpe": 1.5
    },
    "plan_exercise": {
      "id": 42,
      "name": "Beispiel",
      "sets": 1,
      "repetitions": 1,
      "repetitions_to": 1,
      "weight": 1.5
    },
    "preset": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "content_source_name": "Beispiel",
      "license_author_url": "https://vynst.de",
      "duration": 1
    },
    "device": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "manufacturer": "string",
      "model": "string",
      "device_type": "string"
    },
    "set_number": 1
  }
}
'
Response 200 application/json
{
  "id": 42,
  "session": {
    "id": 42,
    "training_person_data": {
      "id": 42,
      "weight": 1.5,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "plan": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "times_per_week": 1,
      "status": "string",
      "is_template": true,
      "valid_from": "2026-10-15T09:30:00+02:00",
      "valid_until": "2026-10-15T09:30:00+02:00",
      "review_date": "2026-10-15T09:30:00+02:00",
      "training_goal": "string"
    },
    "plan_day": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "day_of_week": 1,
      "rounds": 1,
      "round_rest_seconds": 1,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true,
      "order": 1
    },
    "trainer": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "performed_at": "2026-10-15T09:30:00+02:00",
    "duration_seconds": 1,
    "status": "string",
    "source": "string",
    "rpe": 1.5
  },
  "plan_exercise": {
    "id": 42,
    "name": "Beispiel",
    "plan_day": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "day_of_week": 1,
      "rounds": 1,
      "round_rest_seconds": 1,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true,
      "order": 1
    },
    "preset": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "content_source_name": "Beispiel",
      "license_author_url": "https://vynst.de",
      "duration": 1,
      "exercise_type": "string",
      "equipment": "string",
      "execution_notes": "string",
      "default_sets": 1
    },
    "device": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "manufacturer": "string",
      "model": "string",
      "device_type": "string",
      "identifier": "42",
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "sets": 1,
    "repetitions": 1,
    "repetitions_to": 1,
    "weight": 1.5,
    "weight_unit": "string"
  },
  "preset": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "content_source_name": "Beispiel",
    "license_author_url": "https://vynst.de",
    "image": {
      "id": 42,
      "ocr_from_name": "Beispiel",
      "ocr_from_email": "lena.hartmann@example.org",
      "ocr_from_phone": "+49 511 123456",
      "ocr_to_name": "Beispiel",
      "ocr_to_email": "lena.hartmann@example.org",
      "ocr_to_phone": "+49 511 123456",
      "filename": "string",
      "filesize": "string",
      "mimetype": "string"
    },
    "video": {
      "id": 42,
      "ocr_from_name": "Beispiel",
      "ocr_from_email": "lena.hartmann@example.org",
      "ocr_from_phone": "+49 511 123456",
      "ocr_to_name": "Beispiel",
      "ocr_to_email": "lena.hartmann@example.org",
      "ocr_to_phone": "+49 511 123456",
      "filename": "string",
      "filesize": "string",
      "mimetype": "string"
    },
    "duration": 1,
    "exercise_type": "string",
    "equipment": "string"
  },
  "device": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "manufacturer": "string",
    "model": "string",
    "device_type": "string",
    "identifier": "42",
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "set_number": 1,
  "repetitions": 1,
  "weight": 1.5,
  "weight_unit": "string",
  "duration_seconds": 1
}

Delete a single StudioTrainingSessionEntry (soft delete)

DELETE/api/crm/studio_training/session_entry/{identifier}

Path parameters

identifierrequiredstring

Responses

200Delete a single StudioTrainingSessionEntryStudioTrainingSessionEntry

Show fields (19)
  • idinteger

    Primary key of the session entry. Internal ID.

  • sessionStudioTrainingSession2

    Training session the entry belongs to.

    Show fields (16)
    • idinteger

      Primary key of the training session. Internal ID.

    • training_person_dataStudioTrainingPersonData2

      Training data of the person who trained.

    • planStudioTrainingPlan

      Training plan the session belongs to.

    • plan_dayStudioTrainingPlanDay

      Plan day the session belongs to.

    • trainerCRMPerson10

      Trainer who supervised the unit, if any

    • performed_atstring (date-time)

      Time the training was performed.

    • duration_secondsinteger

      Duration of the session in seconds.

    • statusstring

      Status of the session, for example planned or done.

    • sourcestring

      Source of the session, for example app or device.

    • rpenumber (float)

      Overall rate of perceived exertion of the unit

    • average_heart_rateinteger

      Average heart rate in beats per minute.

    • caloriesinteger

      Calories burned.

    • notesstring

      Notes of the person.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • plan_exerciseStudioTrainingPlanExercise

    Prescription this entry was performed against, if the unit followed a plan

    Show fields (21)
    • idinteger

      Primary key of the plan exercise. Internal ID.

    • plan_dayStudioTrainingPlanDay

      Plan day the exercise belongs to.

    • presetStudioTrainingPreset

      Training preset of the exercise.

    • deviceStudioDevice

      Optional concrete machine for this exercise

    • namestring

      Overrides the preset name when the trainer renamed the exercise for this plan

    • setsinteger

      Number of sets.

    • repetitionsinteger

      Number of repetitions per set.

    • repetitions_tointeger

      Upper bound if the prescription is a repetition range (e.g. 8 - 12)

    • weightnumber (float)

      Weight per repetition.

    • weight_unitstring

      Unit of the weight, for example kg.

    • duration_secondsinteger

      Duration of one set in seconds for time based exercises

    • rest_secondsinteger

      Pause between sets in seconds

    • tempostring

      Movement tempo notation, e.g. "2-0-2-0"

    • intensity_percentnumber (float)

      Target intensity in percent of the one repetition maximum

    • rpenumber (float)

      Rate of perceived exertion / reps in reserve target

    • circuit_groupstring

      Exercises of the same day sharing this key form a superset / circuit block

    • notesstring

      Notes on the exercise.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • orderinteger

      Position of the entity in the order.

  • presetStudioTrainingPreset

    Training preset performed.

    Show fields (25)
    • idinteger

      Primary key of the training preset. Internal ID.

    • namestring

      Name of the exercise.

    • descriptionstring

      Description of the exercise.

    • imageAttachment10

      Image of the exercise.

    • videoAttachment10

      Video of the exercise.

    • durationinteger

      Typical duration of the exercise in seconds.

    • muscle_groupsarray<StudioTrainingMuscleGroup>

      Primarily trained muscle groups

    • secondary_muscle_groupsarray<StudioTrainingMuscleGroup>

      Secondarily trained muscle groups

    • exercise_typestring

      Category of the exercise, e.g. strength, cardio, mobility, rehab

    • equipmentstring

      Required equipment as free text, e.g. barbell, cable machine, bodyweight

    • execution_notesstring

      Execution cues and safety notes for the member

    • default_setsinteger

      Default prescription proposed when the preset is added to a plan

    • default_repetitionsinteger

      Default number of repetitions.

    • default_rest_secondsinteger

      Default rest time in seconds.

    • content_sourcestring

      One of the CONTENT_SOURCE_* constants

    • content_source_namestring

      Name of the catalogue the entry was seeded from, e.g. wger

    • licensestring

      Licence of the imported content, e.g. CC-BY-SA 4.0

    • license_authorstring

      Author that has to be named to fulfil the licence attribution

    • license_author_urlstring

      Link to the author of the image or video license.

    • review_statusstring

      One of the REVIEW_STATUS_* constants, used to keep generated or imported exercise instructions under human control before they are published

    • reviewed_atstring (date-time)

      Time the exercise was reviewed.

    • reviewed_bystring

      Name of the reviewer.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • deviceStudioDevice

    Device used for the exercise.

    Show fields (10)
    • idinteger

      Primary key of the studio device. Internal ID.

    • namestring

      Name of the device.

    • descriptionstring

      Description of the device.

    • manufacturerstring

      Manufacturer of the device.

    • modelstring

      Model of the device.

    • device_typestring

      Type of the device, for example treadmill or bike.

    • identifierstring

      Identifier of the device at the manufacturer.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • set_numberinteger

    Number of the set within the exercise, starting at 1

  • repetitionsinteger

    Number of repetitions performed.

  • weightnumber (float)

    Weight used.

  • weight_unitstring

    Unit of the weight, for example kg.

  • duration_secondsinteger

    Duration of the exercise in seconds.

  • rest_secondsinteger

    Rest time after the exercise in seconds.

  • distancenumber (float)

    Distance covered.

  • rpenumber (float)

    Rate of perceived exertion, from 1 to 10.

  • completedboolean

    The exercise was completed.

  • notesstring

    Notes on the exercise.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • orderinteger

    Position of the entity in the order.

Request
curl --request DELETE \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/session_entry/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "session": {
    "id": 42,
    "training_person_data": {
      "id": 42,
      "weight": 1.5,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "plan": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "times_per_week": 1,
      "status": "string",
      "is_template": true,
      "valid_from": "2026-10-15T09:30:00+02:00",
      "valid_until": "2026-10-15T09:30:00+02:00",
      "review_date": "2026-10-15T09:30:00+02:00",
      "training_goal": "string"
    },
    "plan_day": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "day_of_week": 1,
      "rounds": 1,
      "round_rest_seconds": 1,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true,
      "order": 1
    },
    "trainer": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "performed_at": "2026-10-15T09:30:00+02:00",
    "duration_seconds": 1,
    "status": "string",
    "source": "string",
    "rpe": 1.5
  },
  "plan_exercise": {
    "id": 42,
    "name": "Beispiel",
    "plan_day": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "day_of_week": 1,
      "rounds": 1,
      "round_rest_seconds": 1,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true,
      "order": 1
    },
    "preset": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "content_source_name": "Beispiel",
      "license_author_url": "https://vynst.de",
      "duration": 1,
      "exercise_type": "string",
      "equipment": "string",
      "execution_notes": "string",
      "default_sets": 1
    },
    "device": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "manufacturer": "string",
      "model": "string",
      "device_type": "string",
      "identifier": "42",
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "sets": 1,
    "repetitions": 1,
    "repetitions_to": 1,
    "weight": 1.5,
    "weight_unit": "string"
  },
  "preset": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "content_source_name": "Beispiel",
    "license_author_url": "https://vynst.de",
    "image": {
      "id": 42,
      "ocr_from_name": "Beispiel",
      "ocr_from_email": "lena.hartmann@example.org",
      "ocr_from_phone": "+49 511 123456",
      "ocr_to_name": "Beispiel",
      "ocr_to_email": "lena.hartmann@example.org",
      "ocr_to_phone": "+49 511 123456",
      "filename": "string",
      "filesize": "string",
      "mimetype": "string"
    },
    "video": {
      "id": 42,
      "ocr_from_name": "Beispiel",
      "ocr_from_email": "lena.hartmann@example.org",
      "ocr_from_phone": "+49 511 123456",
      "ocr_to_name": "Beispiel",
      "ocr_to_email": "lena.hartmann@example.org",
      "ocr_to_phone": "+49 511 123456",
      "filename": "string",
      "filesize": "string",
      "mimetype": "string"
    },
    "duration": 1,
    "exercise_type": "string",
    "equipment": "string"
  },
  "device": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "manufacturer": "string",
    "model": "string",
    "device_type": "string",
    "identifier": "42",
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "set_number": 1,
  "repetitions": 1,
  "weight": 1.5,
  "weight_unit": "string",
  "duration_seconds": 1
}